## com.gargoylesoftware.htmlunit.html
Class HtmlElement.ChildElementsIterator

    java.lang.Object
      com.gargoylesoftware.htmlunit.html.HtmlElement.ChildElementsIterator

All Implemented Interfaces:
  java.util.Iterator<HtmlElement>

Enclosing class:
  HtmlElement

    protected class HtmlElement.ChildElementsIterator

extends java.lang.Object
implements java.util.Iterator<HtmlElement>

An iterator over the HtmlElement children.

Constructor Summary
`protected` `HtmlElement.ChildElementsIterator()` Constructor.

Method Summary
`boolean` `hasNext()`
`HtmlElement` `next()`
`HtmlElement` `nextElement()`
`void` `remove()` Removes the current one.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlElement.ChildElementsIterator

    protected HtmlElement.ChildElementsIterator()

  Constructor.

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator<HtmlElement>`
  Returns:
    is there a next one ?

### next

    public HtmlElement next()

  Specified by:
    `next` in interface `java.util.Iterator<HtmlElement>`
  Returns:
    the next one

### remove

    public void remove()

  Removes the current one.

  Specified by:
    `remove` in interface `java.util.Iterator<HtmlElement>`

### nextElement

    public HtmlElement nextElement()

  Returns:
    the next element

Copyright © 2002-2011 Gargoyle Software Inc.. All Rights Reserved.